# Obsolete Members for WebView

The following members of QML type WebView are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- canGoBack : bool`(obsolete)`
- canGoForward : bool`(obsolete)`
- contextualData : QtObject`(obsolete)`

## Methods

- void goBack()`(obsolete)`
- void goForward()`(obsolete)`

## Property Documentation

canGoBack : bool

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Whether the navigation history has a previous entry to navigate back. This is now deprecated. Use WebView::navigationHistory::canGoBack instead.

See also goBack and canGoForward.

canGoForward : bool

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Whether the navigation history has a next entry to navigate forward. This is now deprecated. Use WebView::navigationHistory::canGoForward instead.

See also goForward and canGoBack.

contextualData : QtObject

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This property is deprecated, use the contextModel property instead.

An object that holds the contextual data associated with the current context menu. User-defined contextual actions can use this data to process it when triggered.

It has the following properties:

- href (url): the full URI of the hyperlink, if any
- title (string): the title of the hyperlink, if any
- img (url): the full URI of the image

Note that in the case of an image enclosed inside a hyperlink, both `href` and `img` will be available, allowing a user-defined contextual action to operate on both elements.

See also contextualActions and contextModel.

## Method Documentation

void goBack()

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Go back one entry in the navigation history. This is now deprecated. Use WebView::navigationHistory::goBack instead.

See also canGoBack and goForward.

void goForward()

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Go forward one entry in the navigation history. This is now deprecated. Use WebView::navigationHistory::goForward instead.

See also canGoForward and goBack.